// TelefonDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Telefon.h"
#include "TelefonDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTelefonDlg dialog

CTelefonDlg::CTelefonDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CTelefonDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CTelefonDlg)
	m_COMport = 0;
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CTelefonDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CTelefonDlg)
	DDX_Text(pDX, IDC_EDIT1, m_COMport);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CTelefonDlg, CDialog)
	//{{AFX_MSG_MAP(CTelefonDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_BUTTON1, OnOpenPort)
	ON_BN_CLICKED(IDC_BUTTON2, OnMakeFoto)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTelefonDlg message handlers

BOOL CTelefonDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CTelefonDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CTelefonDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CTelefonDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CTelefonDlg::OnOpenPort() 
{
	// TODO: Add your control notification handler code here
	UpdateData(true);
	
	char COM_string[100];
	DCB dcb;	
	
	sprintf(COM_string,"\\\\.\\COM%d", m_COMport);	
	m_hFile = CreateFile(COM_string, GENERIC_READ|GENERIC_WRITE, 0, NULL,						
	    OPEN_EXISTING, 0,NULL);

	if(m_hFile!=INVALID_HANDLE_VALUE)
	{	

		GetCommState(m_hFile, &dcb);

		dcb.BaudRate = CBR_9600;      
		dcb.ByteSize = 8;            
		dcb.Parity = NOPARITY;        
		dcb.StopBits = ONESTOPBIT;    

		COMMTIMEOUTS CommTimeOuts;
		CommTimeOuts.ReadIntervalTimeout=MAXDWORD;
		CommTimeOuts.ReadTotalTimeoutMultiplier=0;
		CommTimeOuts.ReadTotalTimeoutConstant=0;
		CommTimeOuts.WriteTotalTimeoutMultiplier=0;
		CommTimeOuts.WriteTotalTimeoutConstant=1000;
		SetCommTimeouts(m_hFile, &CommTimeOuts) ;

		SetCommState(m_hFile, &dcb);
		MessageBox("  ", "Info", MB_ICONINFORMATION);	
		
	}
	else 
	{
		MessageBox("!   .", "Info", MB_ICONERROR);
	}		
}



void CTelefonDlg::OnMakeFoto() 
{
	// TODO: Add your control notification handler code here
	DWORD lpdwBytesWritten;

	char sz[]="AT+CKPD=\":C\"\r";	
	WriteFile(m_hFile, sz, strlen(sz), &lpdwBytesWritten, NULL);
	Sleep(1000);

	char sz1[]="AT+CKPD=\":C\"\r";	
	WriteFile(m_hFile, sz1, strlen(sz1), &lpdwBytesWritten, NULL);	
	Sleep(7000);

	char sz2[]="AT+CKPD=\":J\"\r";	
	WriteFile(m_hFile, sz2, strlen(sz2), &lpdwBytesWritten, NULL);	
	Sleep(500);

	MessageBox("Foto Ok!", "Info", MB_ICONINFORMATION);	
}
